@extends('template.'.config('settings.template').'.content.master')
@section('content')


    <div class="container" style="margin-top: 80px;">

        <div class="row">


            <div class="col-12">
                <h1 class="mb-5">{{$content->title}}</h1>

            </div>



            <div class="col-12 col-md-9">





                <div style="position: relative">
                    @if ($content->image)
                        <img class="rounded-top img-fluid" src="{{ asset($content->image) }}" loading="lazy" >
                    @else
                        <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy" width="100%">
                    @endif



                </div>


                <br>
                <br>
                <br>


                <a href="{{ route('users.show', [$content->user->slug]) }}" class="text-decoration-none mt-2">
                    <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                    {{ $content->user->name }}
                </a>
                <p class="fs-5 mt-5">

                    {!! isset($content->data_fields['short_description'])?$content->data_fields['short_description']:'keine Angaben' !!}
                </p>


                @isset($content->data_fields['extensive_description'])
                   <h2 class="fs-4 mt-5 mb-3">Beschreibung</h2>

                <div class="fs-5">
                    {!!$content->data_fields['extensive_description']!!}

                </div>

                @endisset


                @isset($content->data_fields['features'])
                    <h2 class="fs-4 mt-5">Features</h2>
                <br>

                    <div class="row">

                        @if($content->data_fields['features'] == "Dashboard")
                            <div class="col-2 mb-3 text-center">
                                <div style="background-color: #24052f; height: 120px; width: 120px; margin-bottom: 35px;" class="p-4 rounded-circle text-center align-middle" title="Checkout">
                                    <svg style="fill: white; height: 90%;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M352 128C352 57.42 294.579 0 224 0 153.42 0 96 57.42 96 128H0v304c0 44.183 35.817 80 80 80h288c44.183 0 80-35.817 80-80V128h-96zM224 48c44.112 0 80 35.888 80 80H144c0-44.112 35.888-80 80-80zm176 384c0 17.645-14.355 32-32 32H80c-17.645 0-32-14.355-32-32V176h48v40c0 13.255 10.745 24 24 24s24-10.745 24-24v-40h160v40c0 13.255 10.745 24 24 24s24-10.745 24-24v-40h48v256z"/></svg>
                                </div>
                            </div>
                        @endif


                            <div class="col-2 mb-3 text-center">
                                <div style="background-color: #24052f; height: 120px; width: 120px; margin-bottom: 35px;" class="p-4 rounded-circle text-center align-middle" title="Checkout">
                                    <svg style="fill: white; height: 90%;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M352 128C352 57.42 294.579 0 224 0 153.42 0 96 57.42 96 128H0v304c0 44.183 35.817 80 80 80h288c44.183 0 80-35.817 80-80V128h-96zM224 48c44.112 0 80 35.888 80 80H144c0-44.112 35.888-80 80-80zm176 384c0 17.645-14.355 32-32 32H80c-17.645 0-32-14.355-32-32V176h48v40c0 13.255 10.745 24 24 24s24-10.745 24-24v-40h160v40c0 13.255 10.745 24 24 24s24-10.745 24-24v-40h48v256z"/></svg>
                                </div>
                            </div>

                    </div>

                    <br>
                    <br>
                @endisset

                <h2 class="fs-4 mt-5 mb-5">Screenshots</h2>

                <div class="row">
                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>
                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>
                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>

                    <div class="col-4 mb-3">
                        <img class="rounded img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">

                    </div>


                </div>




            </div>

            <div class="col-12 col-md-3">

                <div class="bg-ci rounded p-3 border-ci position-fixed shadow-lg" style="width: 16%;">


                    Author: <a href="{{ route('users.show', [$content->user->slug]) }}" class="text-decoration-none mt-2">
                        <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                        {{ $content->user->name }}
                    </a>
                    <br>
                    Lumino Version: <a href="">3.2</a>
                    <br>
                    Lisence: <a href="">2.93</a>
                    <br>
                    Latest Version: <a href="">2.93</a>
                    <br>
                    Price: <i>free</i>

                    <a  class="btn btn-primary d-block mt-4 btn-lg" data-bs-toggle="modal" data-bs-target="#exampleModal">

                        <svg style="fill: currentColor; width: 24px; margin-right: 5px;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><path d="M543.7 200.1C539.7 142.1 491.4 96 432 96c-7.6 0-15.1.8-22.4 2.3C377.7 58.3 328.1 32 272 32c-84.6 0-155.5 59.7-172.3 139.8C39.9 196.1 0 254.4 0 320c0 88.4 71.6 160 160 160h336c79.5 0 144-64.5 144-144 0-61.8-39.2-115.8-96.3-135.9zM496 432H160c-61.9 0-112-50.1-112-112 0-56.4 41.7-103.1 96-110.9V208c0-70.7 57.3-128 128-128 53.5 0 99.3 32.8 118.4 79.4 11.2-9.6 25.7-15.4 41.6-15.4 35.3 0 64 28.7 64 64 0 11.8-3.2 22.9-8.8 32.4 2.9-.3 5.9-.4 8.8-.4 53 0 96 43 96 96s-43 96-96 96zM387 256h-67v-84c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v84h-67c-10.7 0-16 12.9-8.5 20.5l99 99c4.7 4.7 12.3 4.7 17 0l99-99c7.6-7.6 2.2-20.5-8.5-20.5z"/></svg>
                        Install this Theme
                    </a>
                </div>


            </div>

            <div class="col-12">
                <br>
                <br>
                <br>
                <br>
                <br>
                <hr>

                <br>
                <br>
                <br>
                <h2>Other Themes</h2>
                <br>
                <br>


            </div>

            <div class="row">
                @foreach($contents as $indexContent => $content)
                    <div class="col-12 col-md-6 col-lg-4 mb-5">
                        <a href="{{ route_content($content) }}" class="text-decoration-none text-dark">
                            <div class="card shadow-lg">

                                @if ($content->image)
                                    <img class="rounded-top img-fluid" src="{{ asset('uploads/' . $content->image) }}" loading="lazy">
                                @else
                                    <img class="rounded-top img-fluid" src="https://picsum.photos/800/400?{{rand(0,100)}}" loading="lazy">
                                @endif

                                <div class="card-body">
                                    <h2 class="fs-5">{{$content->title}}</h2>
                                    <a href="{{ route('users.show', [$content->user->slug]) }}" class="text-decoration-none">
                                        <img src="{{ $content->user->gravatar() }}" width="20px" title="{{ $content->user->name }}" class="border rounded img-fluid shadow-sm" alt="Logo {{ $content->user->name }} ">
                                        {{ $content->user->name }}
                                    </a>
                                    <p>
                                        Public Showcase of Lumino Themes. You can browse, compare the templates and install them into your own Lumino Installation.
                                    </p>


                                </div>

                            </div>

                        </a>


                    </div>

                @endforeach
            </div>




        </div>
    </div>





    <!-- Modal -->
    <div class="modal fade" id="exampleModal" data-bs-backdrop="static" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Install Theme</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-12 col-md-10 offset-md-1">


                            <br>


                            @isset($content->data_fields['git_location'])
                                <div class="input-group input-group-lg shadow-lg">
                                    <input type="text" id="inputPassword5" class="form-control border-ci rounded" aria-describedby="passwordHelpBlock" readonly value="{{$content->data_fields['git_location']}}">
                                </div>



                                <div id="passwordHelpBlock" class="form-text">
                                    Use this link to install the chosen theme into your own Lumino installation. Make sure the Theme is compatible with your Lumino Version.
                                </div>
                            @endisset






                            <br>
                            <br>
                            <br>
                            <h5>Instructions</h5>


                            <br>

                            <div class="row">
                                <div class="col-2 offset-1 mb-3">
                                    <div style="background-color: #24052f; height: 50px; width: 50px;  color: white" class="p-2 rounded-circle text-center fw-bold fs-5">
                                        1.
                                    </div>
                                </div>
                                <div class="col-9 mt-2">
                                    Log in to your Lumino Admin

                                </div>


                                <div class="col-2 offset-1 mb-3">
                                    <div style="background-color: #24052f; height: 50px; width: 50px;  color: white" class="p-2 rounded-circle text-center fw-bold fs-5">
                                        2.
                                    </div>
                                </div>
                                <div class="col-9 mt-2">
                                    Go to <i>Configurations</i> ⟶ <i>Themes</i> -> <i>"Add new Theme"</i>

                                </div>


                                <div class="col-2 offset-1 mb-3">
                                    <div style="background-color: #24052f; height: 50px; width: 50px;  color: white" class="p-2 rounded-circle text-center fw-bold fs-5">
                                        3.
                                    </div>
                                </div>
                                <div class="col-9 mt-2">
                                    Copy & Paste the Theme URL

                                </div>


                                <div class="col-2 offset-1 mb-3">
                                    <div style="background-color: #24052f; height: 50px; width: 50px;  color: white" class="p-2 rounded-circle text-center fw-bold fs-5">
                                        4.
                                    </div>
                                </div>
                                <div class="col-9 mt-2">
                                    After Verification Theme can be installed

                                </div>


                            </div>



                            <br>

                            <div class="text-center">
                                <img src="https://i.gifer.com/XG0z.gif" class="img-fluid rounded mb-5" width="82%" loading="lazy">

                            </div>
                        </div>
                    </div>





                </div>

            </div>
        </div>
    </div>

@stop



